QMouseDriverFactory(3qt)

NAME
QMouseDriverFactory - Creates QWSMouseHandler objects for Qt/Embedded

SYNOPSIS
#include <qmousedriverfactory_qws.h>

  Static Public Members
<li class=fn>QStringList keys () <li class=fn>QWSMouseHandler * create ( const TQString & key, const TQString & device )

DESCRIPTION
The QMouseDriverFactory class creates QWSMouseHandler objects for Qt/Embedded.

The graphics driver factory creates a QWSMouseHandler object for a given key with QMouseDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see QMouseDriverPlugin).

This class is only available in Qt/Embedded.

QMouseDriverFactory::keys() returns a list of valid keys.

MEMBER FUNCTION DOCUMENTATION

QWSMouseHandler * QMouseDriverFactory::create ( const TQString & key, const TQString & device ) [static]
Creates a QWSMouseHandler object that matches key and uses device device. This is either a built-in driver, or a driver from a driver plugin.

See also keys().

QStringList QMouseDriverFactory::keys () [static]
Returns the list of keys this factory can create drivers for.

See also create().

SEE ALSO
http://doc.trolltech.com/qmousedriverfactory.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqmousedriverfactory.3qt) and the Qt version (3.3.8).